#
# make order (determine the makefile's variable ordering from an example makefile)
# $Id: makeorder.pl,v 1.4 2001/04/30 20:42:07 mharo Exp $
#

use strict;
use vars qw/%makevar %mastersites %opts $nfatal $nwarn $ninfo $prog/;

&getmakesections;

sub getmakesections {
	my %hash;
	
	open(STYLEFILE, "/home/mharo/work/src/portlint/share/portlint/makestyle") || die "/home/mharo/work/src/portlint/share/portlint/makestyle: $!";
	my $line = 0;
	while (<STYLEFILE>) {
		next if ($line =~ m/^\r?\n$/);

		$line++;
		my ($sect, $var) = split(/	/, $_, 2);
		$var =~ s/=.*//;
		$var =~ s/:.*//;
print $var;
		
		$hash{$var} = {
			section => $sect,
			line => $line,
			var => $var
		};

	}
	
	close(STYLEFILE);
	
	return %hash;
}
1;
